basic_ncsa_auth(8)

NAME
basic_ncsa_auth - NCSA httpd-style password file authentication helper for Squid

SYNOPSIS
basic_ncsa_auth passwd file

DESCRIPTION
basic_ncsa_auth allows Squid to read and authenticate user and password information from an NCSA/Apache httpd-style password file when using basic HTTP authentication.

This password file can be manipulated using htpasswd.

OPTIONS
The only parameter is the password file. It must have permissions to be read by the user that Squid is running as.

CONFIGURATION
    basic_ncsa_auth /etc/squid/squid.pass

basic_ncsa_auth must have access to the password file to be executed.

AUTHOR
This manual was written by Amos Jeffries <amosjeffries@squid-cache.org>

Based on original documentation by Rodrigo Rubira Branco <rrbranco@br.ibm.com>

COPYRIGHT

This file is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this file; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@squid-cache.org>

SEE ALSO
squid(8), htpasswd(1), GPL(7),
The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
The Squid Configuration Manual http://www.squid-cache.org/Doc/config/